
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>移动端交互手势详解及实现 / 憋错料</title>

    <meta name="description" content="移动端交互手势详解及实现 一丶概述      如今移动端设备大行其道,前端也走进了移动的领域.在写移动端页面的交互效果的时候,我么难免要接触一些复杂的手势,而不仅仅像pc端那样简单的鼠标事件.手势实际上是一种输入模式.我们现在在直观意义上理解的人机交互是指人与机器之间的互动方式,这种互动方式经历了鼠标.物理硬件.屏幕触控.远距离的体感操作的逐步发展的过程. 二丶移动端手势事件      在浏览器中,为我们提供的手势并不算多,主要有: touchstart 当手指触摸屏幕时触发 touchmove 当手指在屏幕滑动时不断的">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">移动端交互手势详解及实现</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>一丶概述&nbsp;&nbsp;<br />&nbsp; &nbsp; 如今移动端设备大行其道，前端也走进了移动的领域。在写移动端页面的交互效果的时候，我么难免要接触一些复杂的手势，而不仅仅像pc端那样简单的鼠标事件。手势实际上是一种输入模式。我们现在在直观意义上理解的人机交互是指人与机器之间的互动方式，这种互动方式经历了鼠标、物理硬件、屏幕触控、远距离的体感操作的逐步发展的过程。</p>
<p>二丶移动端手势事件&nbsp;&nbsp;<br />&nbsp; &nbsp; 在浏览器中，为我们提供的手势并不算多，主要有：</p>
<ol>
<li><strong>touchstart</strong>&nbsp;当手指触摸屏幕时触发</li>
<li><strong>touchmove</strong>&nbsp;当手指在屏幕滑动时不断的触发</li>
<li><strong>touchend</strong>&nbsp;当手指从屏幕上移开时触发</li>
<li><strong>touchcancel</strong>&nbsp;当系统停止跟踪触摸时触发</li>
</ol>
<p>是不是感觉很少，safari还为我们提供了三个独有的手势事件(用于复杂的手势)，然而也仅仅只能在safari中使用</p>
<ol>
<li><strong>gesturestart</strong>&nbsp;当一个手指已经按在屏幕上，另一个手指也按上时触发</li>
<li><strong>gesturechange</strong>&nbsp;当触摸屏幕上任何一个手指发生变化时触发</li>
<li><strong>gestureend</strong>&nbsp;当任何一个手指从屏幕上移开时触发</li>
</ol>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY2RuLmF0dGFjaC53M2NmdW5zLmNvbS9ub3Rlcy9waWNzLzIwMTYwOC8xNS8xOTExMDduYnk2YTYxMTlzOGc4Ym9vLnBuZw==.jpg" data-id="041dc2c3c78cbbf6587f61a9bcb6e818" />&nbsp;&nbsp;<br />&nbsp; &nbsp; 最后呢，让我们看看移动设备上究竟有哪儿手势需要我们使用&nbsp;&nbsp;<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY2RuLmF0dGFjaC53M2NmdW5zLmNvbS9ub3Rlcy9waWNzLzIwMTYwOC8xNS8xOTE0MTFvbnBsZ25sY243bTdobHRwLnBuZw==.jpg" data-id="041dc2c3c78cbbf6587f61a9bcb6e818" /></p>
<p>三丶让JS支持这些手势&nbsp;&nbsp;<br />&nbsp; &nbsp; 目前看来，我们能用的也就只有touchstart，touchmove, touchend, touchcancel这四个手势，那么如何才能利用这四个手势支持众多的交互效果呢？首先我们从最简单的手势开始。简单的手势也就是说是单点触控，我们主要来实现如下几个手势：</p>
<ol>
<li><strong>tap</strong>&nbsp;轻触</li>
<li><strong>doubletap</strong>&nbsp;连续两次轻触</li>
<li><strong>press</strong>&nbsp;长按</li>
<li><strong>pan</strong>&nbsp;平移</li>
<li><strong>flick</strong>&nbsp;轻拂</li>
</ol>
<p>首先我们要解决如何触发自定义事件(已经了解自定事件的可以跳过)：</p>
<p>//自定义一个事件<br />document.body.addEventListener("tap", function(event) {<br />    console.log("tap事件触发")<br />}, false)  <br />//触发自定义事件  <br />function fireEvent(element, type, extra) {<br />    var event = doc.createEvent(‘HTMLEvents‘);<br />    event.initEvent(type, true, true);<br />    if (typeof extra === ‘object‘) {<br />        Util.extends(event, extra);     //浅拷贝<br />    }<br />    element.dispatchEvent(event);<br />}<br />fireEvent(document.body, "tap", {});   //触发tap事件</p>
<p>我们在整个事件模拟中定义一个中间状态&nbsp;<strong>evet.status</strong>&nbsp;来表示当前的触摸状态，接下来我们就利用touchstart，touchmove，touchend来可以实现自己的触摸事件了&nbsp; &nbsp;<br />&nbsp; &nbsp;&nbsp;<strong>tap</strong>事件：当touchstart触发时，我们将event.status状态改为 tapping。在touchend触发时，如果event.status依然为tapping则，触发tap事件。&nbsp;&nbsp;<br />&nbsp; &nbsp;&nbsp;<strong>doubletap</strong>事件：在触发tap事件的时候，我们用一个变量lastTime记录当前时间。下一次触发tap时，用当前时间和lastTime做对比，如果小于300ms则触发doubletap事件&nbsp;&nbsp;<br />&nbsp; &nbsp;&nbsp;<strong>pess</strong>事件：当touchstart触发时，我们定义一个setTimeout的函数(500ms)，如果500ms后仍然没有touchend触发，则定时函数将event.staus状态改为pressing。当touchend触发时，检测到状态为pressing则触发press事件。&nbsp;&nbsp;<br />&nbsp; &nbsp;&nbsp;<strong>pan</strong>事件：我们在touchmove中检测当前状态是tapping和pressing时，并且手指移动距离大于10px则，触发pan平移事件。这个移动距离用event.touches[0].clientX - lastTouch.clientY 来检测就好(利用lastTouch记录，起始手指的event对象)。&nbsp;&nbsp;<br />&nbsp; &nbsp;&nbsp;<strong>flick</strong>事件：这个事件就是"刷~刷"的划过屏幕的交互效果，在touchend时通过pan事件的移动距离和移动事件算出速度(注意是X和Y轴的合速度)，如果速度大于0.5，并且整个触摸过程时间小于100ms，则触发flick事件。&nbsp;&nbsp;<br />&nbsp; &nbsp;&nbsp;&nbsp;是不是很简单的用最原始的浏览器事件就能实现这些内容。&nbsp;&nbsp;<br />&nbsp; &nbsp;&nbsp;&nbsp;接下来让我们看看两个手指的事件如果实现。</p>
<p>四丶实现多指触控&nbsp;<br />&nbsp; &nbsp; 在实现多指触控的时候，我们需要了解一下触摸过程中event用来保存多个手指信息的三个属性：</p>
<ol>
<li><strong>touches</strong>当前屏幕上所有触摸点的集合列表</li>
<li><strong>targetTouches</strong>绑定事件的那个结点上的触摸点的集合列表</li>
<li><strong>changedTouches</strong>触发事件时改变的触摸点的集合</li>
</ol>
<p>这三个有什么区别？举例来说，比如div1, div2只有div2绑定了touchstart事件，第一次放下一个手指在div2上，触发了touchstart事件，这个时候，三个集合的内容是一样的，都包含这个手指的touch，然后，再放下两个手指一个在div1上，一个在div2上，这个时候又会触发事件，但changedTouches里面只包含第二个第三个手指的信息，因为第一个没有发生变化，而targetTouches包含的是在第一个手指和第三个在div2上的手指集合，touches包含屏幕上所有手指的信息，也就是三个手指。这样是不是就很很清楚了。下面我们要根据上面的内容，继续解决一个问题：当两个手指作用在不同的节点上应该触发哪个节点的事件呢？<br />&nbsp; &nbsp; 这里我们规定，如果触发在了两个不同节点上，我们去两个节点公有的最近父节点，作为触发的目标。寻找共有最小父节点代码如下：</p>
<p>//判断节点ele1是否包含ele2<br />function contains(ele1, ele2) {<br />    return ele1.contains ? ele1 != ele2 &amp;&amp; ele1.contains(ele2) : !!(ele1.compareDocumentPosition(ele2) &amp; 16);<br />}<br />//获得共有最近的父节点<br />function getCommonRootNode(ele1, ele2) {<br />    while (ele1) {<br />        if (contains(ele1, ele2) || ele1 === ele2) {<br />            return ele1;<br />        }<br />        ele1 = ele1.parentNode;<br />    }<br />    return null;<br />}</p>
<p>这样我们解决了，如何找到多个手指信息和触发哪个节点的问题。最后一个问题，当给了我们这些信息我们怎么能用？比如计算旋转手势，缩放手势啊什么的。&nbsp;&nbsp;<br />&nbsp; &nbsp; 这里我们仅考虑两个手指的多点触控。我们设touchstart阶段的两个手指坐标为 A(x1, y1)&nbsp; &nbsp;B(x2, y2)。touchmove过程中的两个手指的坐标为 C(x3, y3) D(x4, y4)。<br />&nbsp; &nbsp;&nbsp;<strong>rotate</strong>旋转：计算AB，CD线段与坐标轴的夹角，对角度相减即得到旋转角度。&nbsp;&nbsp;<br />&nbsp; &nbsp;&nbsp;<strong>scale</strong>&nbsp;缩放：计算AB线段长度和CD线段长度(勾股定理)，两条线段做比值就好。&nbsp;&nbsp;<br />&nbsp; &nbsp;&nbsp;<strong>translate</strong>平移： 平移的话我们只计算A点到C点的x坐标变化量。&nbsp;<br />&nbsp; &nbsp; 具体代码如下：</p>
<p>function calcAction(x1, y1, x2, y2, x3, y3, x4, y4) {<br />        let rotate = Math.atan2(y4 - y3, x4 - x3) - Math.atan2(y2 - y1, x2 - x1),<br />            scale = Math.sqrt((Math.pow(y4 - y3, 2) + Math.pow(x4 - x3, 2)) / (Math.pow(y2 - y1, 2) + Math.pow(x2 - x1, 2))),<br />            translate = [x3 - scale * x1 * Math.cos(rotate) + scale * y1 * Math.sin(rotate), y3 - scale * y1 * Math.cos(rotate) - scale * x1 * Math.sin(rotate)];<br />        return {<br />            rotate: rotate,<br />            scale: scale,<br />            translate: translate,<br />            /**<br />             * |ax + cy + e|<br />             * |bx + dy + f|<br />             * | 0 +  0 + 1|<br />             */<br />            martrix: [<br />                [scale * Math.cos(rotate), -scale * Math.sin(rotate), translate[0]],<br />                [scale * Math.sin(rotate), scale * Math.cos(rotate), translate[1]],<br />                [0, 0, 1]<br />            ]<br />        }<br />    }</p>
<p>了解这些内容，你就可以在touchmove过程中完成对两个手指的旋转缩放平移等交互效果进行封装了。是不是很简单呢！&nbsp;&nbsp;<br />&nbsp; &nbsp;&nbsp;&nbsp;当然完整的事件过程要分start，move，end这三种情况，在实现的时候要分别给予对应的实现就可以了。都逃不开对touchstart，touchmove，touchend的利用。&nbsp;&nbsp;<br />五丶实现案例<br />&nbsp; &nbsp; 基于上面的方案，我实现了一个对移动端手势的封装库，包含以上所有的手势。犹豫这里代码运行不能模拟手机环境，我就不贴代码了。&nbsp;&nbsp;<br />&nbsp; &nbsp; 感兴趣的同学可以访问：<a href="https://github.com/T-phantom/si-gesture" rel="external nofollow noreferrer">https://github.com/T-phantom/si-gesture</a>&nbsp;&nbsp;上面有具体的使用方法和带有详细注释的源码哦，欢迎start。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-22 04:59:40 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>移动端交互手势详解及实现的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xBrmD4.html" rel="bookmark">49&period;Python使用requests包进行HTTP交互方法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介 使用方法 传递QUERY参数 定制请求头 填写cookie 填充请求体 处理响应对象 重定向与访问历史 超时 Session对象 根据响应获取请求 SSL认证 HTTP认证 基本认证 摘要认证 代理场景 HTTPHTTPS代理 SOCKS代理 简介 Python的HTTP包有urllib.urllib2.httplib等,但是都需要了解较多的HTTP原理才能编码,借助requests包可以在较高的抽象层次上完成HTTP交互过程的开发.安装requests使用pip install requ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Nqeoo3.html" rel="bookmark">IOS 七种手势详解（动图＋Demo下载）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原创Blog,转载请注明出处 blog.csdn.net/hello_hwc 欢迎关注我的博客专栏,这个关于IOS SDK的专栏我会持续更新 IOS SDK详解 前言: 触摸是交互的核心,而手势是触摸的上层封装,易于使用,不易出错.本文介绍了7种常用手势,多数手势我都配合Core Animation举了一个例子.给读者一些参考.最后,Demo的链接我会放到最后. Demo源代码下载 CSDN下载 GitHub下载 一 UIGestureRecognizer UIGestureRecognizer			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Myo26n3.html" rel="bookmark">IOS 手势详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在IOS中手势可以让用户有很好的体验,因此我们有必要去了解一下手势. (在设置手势是有很多值得注意的地方) *是需要设置为Yes的点击无法响应* *要把手势添加到所需点击的View,否则无法响应* 手势共有六种,下面我会分开介绍. 点击手势 // // ViewController.m // CX-手势详解 // // Created by ma c on 16/3/24. // Copyright © 2016年 xubaoaichiyu. All rights reserved. // #i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmvK8p0.html" rel="bookmark">（转）Cocos 2d-X Lua 游戏添加苹果内购&lpar;二&rpar; OC和Lua交互代码详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是第二篇 Cocos 2d-X Lua 游戏添加苹果内购(一) 图文详解准备流程 这是前面的第一篇,详细的说明了怎样添加内购项目以及填写银行信息提交以及沙盒测试员的添加使用以及需要我们注意的东西,结果,被移除首页了!前面第一篇的内容是这篇的基础,前面那些不弄好,下面的商品信息你是请求不到的,这点需要大家特别注意...有需要前面提到的内容的孩子可以点击链接进去自己看看!! 这篇就具体的总结我们Lua和OC交互的内容以及内购具体的代码以及结果的测试说明: 内购部分OC的代码实现 先自己总结一下整个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41vKAoM.html" rel="bookmark">微信支付&mdash;&mdash;调用微信客户端支付之【服务端】开发详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:http://blog.csdn.net/seven_cm/article/details/41559301 http://blog.csdn.net/seven_cm/article/details/50019927 2015-09-12 更新: 因微信支付已经升级到V3版本,请大家参考官网的帮助文档. https://pay.weixin.qq.com/wiki/doc/api/app.php?chapter=1_2 之前一篇提到微信支付的开发过程,写得有点乱,现在重新整理一下. 好了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nvV7P0.html" rel="bookmark">C&plus;&plus; STL 双端队列deque详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.解释 Deque(双端队列)是一种具有队列和栈的性质的数据结构.双端队列的元素可以从两端弹出,其限定插入和删除操作在表的两端进行. 二.常用操作: 1.头文件 #include &lt;deque&gt; 2.定义 a) deque&lt;int&gt;s1; b) deque&lt;string&gt;s2; c) deque&lt;node&gt;s3; /*node为结构体,可自行定义.*/ 3.常用操作 //a) 构造函数 deque&lt;int&gt; ideq //b)增加函数 ideq			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLQ1ok0.html" rel="bookmark">IOS中的手势详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.点击 UITapGestureRecognizer *tap=[[UITapGestureRecognizer alloc] initWithTarget:self action:@selector(click)]; //设置当前需要点击的次数 [tap setNumberOfTapsRequired:1]; //设置当前需要触发事件的手指数量 [tap setNumberOfTouchesRequired:2]; //设置当前代理 tap.delegate=self; [_view add			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBXNLq3.html" rel="bookmark">android&mdash;&mdash;GestureDetector&period;OnGestureListener  手势详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android Touch Screen 与传统Click Touch Screen不同,会有一些手势(Gesture),例如Fling,Scroll等等.这些Gesture会使用户体验大大提升.Android中的 Gesture识别(detector)是通过GestureDetector.OnGestureListener接口实现的. 首先,Android事件处理机制是基于Listener实现的,比如触摸屏相关的事件,就是通过onTouchListener实现: 其次,所有View的子类都可以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mygl2V3.html" rel="bookmark">Shell编程之Expect免交互语句详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Expect概述 Expect是建立在tcl基础_上的一个工具,Expect 是用来进行自动化控制和测试的工具.主要解决shell脚本中不可交互的问题.对于大规模的linux运维很有帮助.在linux运维和开发中,我们经常需要远程登录服务器进行操作,登录的过程是一个交互的过程,可能会需要输入(yes/no)password等信息.为了模拟这种输入,可以使用Expect脚本. Expect安装 yum install expect -y 基本命令 send: 向进程发送字符串,用于模拟用户的输入.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n3ZwdD4.html" rel="bookmark" class="title">VS Code使用</a>
					<div>
						VS Code使用了有一段时间了,感觉各方面表现蛮好的,当然主要还是基于electron开发的,(有源代码,想改啥就改啥,当然现在也没有改什么,没那么时间,也没有那么多精力),性能不错,其实中间主要还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/W0jqZVM.html" rel="bookmark" class="title">嵌入式 Linux C语言&mdash;&mdash;C语言基础</a>
					<div>
						嵌入式 Linux C语言--C语言基础 一.数据类型 1.基本数据类型 数据类型是创建变量的模型.变量名是连续存储空间的别名,程序中使用变量命名存储空间,通过变量可以使用存储空间.变量所占的内存大小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXYo9k0.html" rel="bookmark" class="title">关于Altera LVDS 经验分享</a>
					<div>
						http://www.alteraforum.com.cn/showtopic-355-1.aspx 骏龙科技_技术资料汇总52:关于Altera LVDS 经验分享 作者:上海骏龙 毛老师 相信大家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXYzBz0.html" rel="bookmark" class="title">怎样把jpg转换成word</a>
					<div>
						怎样把jpg转换成word在找寻资料的时候,我们经常会发现一些Word文件中的文字资料是以图片的形式插在Word中的,如果我们需要这些资料,而又希望对这些图片内容进行编辑的话,那就只能想办法将图片文字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBm5nA4.html" rel="bookmark" class="title">使用javaservice 将jboss 注册为服务</a>
					<div>
						近来做项目,需要jboss定期重新启动.不想再看到jboss启动那个黑洞洞的窗口,就想着把它注册为服务,然后在net start.恰好objectweb上有个open source的javaservi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVwzYd0.html" rel="bookmark" class="title">vue快速上手</a>
					<div>
						Vue.js是当下很火的一个JavaScript MVVM库,它是以数据驱动和组件化的思想构建的.相比于Angular.js,Vue.js提供了更加简洁.更易于理解的API,使得我们能够快速地上手并使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWw9WbM.html" rel="bookmark" class="title">myeclipse关联weblogic时提示  D&colon;&bsol;program&bsol;weblogic is  not a valid BEA WebLogic Server v10&period;x installation directory</a>
					<div>
						开发环境:win7_64+weblogic 10.3.1.0+myeclipse 2015 stable 2 注:weblogic安装根目录为D:\program\weblogic 操作:在安装好we ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPdLlnM.html" rel="bookmark" class="title">关于app集成支付宝应用内支付的问题总结</a>
					<div>
						pem文件生成,将合作伙伴密钥复制到notepad++中,每45个字符回车,去除空格,头尾加上标题,文件需保存为无BOM的UTF8格式,就OK. 可以每行64个字符,共216个字符. 近来处理了几个a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MX7zrX4.html" rel="bookmark" class="title">现代软件工程 第十二章 【用户体验】练习与讨论</a>
					<div>
						一.如何根据项目和用户的类型决定设计师与工程师的交互方式? 二.讨论个人电脑界面的演变,以及影响这些演变的各种因素. 三.评价一下手头软件产品. 关于评价用户界面的标准,我们在自身实践的基础上总结了一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pzb7w0.html" rel="bookmark" class="title">01背包问题-只求背包的最终最大价值，不考虑选哪些物品怎么放---最优解&lpar;欢迎讨论&rpar;</a>
					<div>
						题目来自lintcode http://www.lintcode.com/zh-cn/problem/backpack/ 一个传统01背包问题的推广,假如只考一个背包放物品之后的最终最大价值,不考虑具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDrlgk3.html" rel="bookmark" class="title">HttpClient通信</a>
					<div>
						1.背景 大多数系统功能和代码都是自己写的,自己用,但是在有些情况下,我们可以利用已经存在的系统,完成对自己实现相对很麻烦的功能,这些一般代价相对较大,自己不可能专门写一个系统或者太过很复杂的代码来完 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3v5yjL0.html" rel="bookmark" class="title">iOS页面传值总结</a>
					<div>
						从最简单的页面跳转开始说起, FirstViewController -----&gt; SecondViewController 方法:直接在跳转处直接给第二个控制器的属性赋值 // FirstVi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mymo8eM.html" rel="bookmark" class="title">JVM 内存模型概述</a>
					<div>
						摘要: Java虚拟机在执行Java程序的过程中会把它所管理的内存划分为若干个不同的数据区域,这些数据区域都有各自的用途,以及创建和销毁的时间,并且它们可以分为两种类型:线程共享的方法区和堆,线程私有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AAaYb4.html" rel="bookmark" class="title">看 nova</a>
					<div>
						本节重点介绍 nova-scheduler 的调度机制和实现方法:即解决如何选择在哪个计算节点上启动 instance 的问题. 创建 Instance 时,用户会提出资源需求,例如 CPU.内存.磁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YD8WOM.html" rel="bookmark" class="title">CAShapeLayer的使用</a>
					<div>
						CAShapeLayer的使用 1.CAShapeLayer 简介 1.CAShapeLayer继承至CALayer,可以使用CALayer的所有属性值 2.CAShapeLayer需要与贝塞尔曲线配 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AAQj54.html" rel="bookmark" class="title">spark on yarn &colon;state&colon; ACCEPTED一直 出现</a>
					<div>
						今天运行spark on yarn 一直出现 16/09/20 18:40:41 INFO yarn.Client: Application report for application_147417 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38pmwl3.html" rel="bookmark" class="title">Bucharest&comma; Romania 2013 A Russian Dolls  贪心</a>
					<div>
						题意:俄罗斯有一种玩具叫做套娃,一个大的只能嵌套一个比它内体积小的套娃 ,给你每个套娃的内体积和外体积,每个套娃内体积单位空体积的消耗,问你怎么样安排才能使得花费最小. 解题思路:这里我们知道,是优先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41Grzg0.html" rel="bookmark" class="title">iScroll&period;js几个问题及其解决办法</a>
					<div>
						1.在一个页面中需要点击tab切换,而且每个切换的内容都需要下拉刷新加载,这个时候需要在点击的时候用到myScroll.refresh();这个函数,刷新iScroll.js这个函数. 2.在页面中有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWQykb3.html" rel="bookmark" class="title">js监控窗口高度和宽度</a>
					<div>
						&lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot;&quot;http://www.w3.org/T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0agDag4.html" rel="bookmark" class="title">Android 下拉刷新之ScrollView--PullToRefreshScrollView</a>
					<div>
						下拉刷新之ScrollView--PullToRefreshScrollView					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
